### A free/open-source library for quantitative finance

Public Member Functions
GarmanKohlagenProcess Class Reference
Stochastic processes

Garman-Kohlhagen (1983) stochastic process. More...

`#include <ql/processes/blackscholesprocess.hpp>`

Inheritance diagram for GarmanKohlagenProcess:
[legend]

List of all members.

## Public Member Functions

| GarmanKohlagenProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &foreignRiskFreeTS, const Handle< YieldTermStructure > &domesticRiskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))

## Detailed Description

Garman-Kohlhagen (1983) stochastic process.

This class describes the stochastic process for an exchange rate given by